CREATE TABLE bm_formula (
    ID               NUMBER(18, 0) ,
    PROCESS_ID       NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_ID     NUMBER(18, 0)     NOT NULL,
    FORMULA          VARCHAR2(4000)    NOT NULL,
    RUN_ON_AJAX      NUMBER(1, 0)  ,
    ORDER_NUMBER     NUMBER(5, 0)  ,
    DATE_ADDED       DATE              NOT NULL,
    DATE_MODIFIED    DATE              NOT NULL,
    GUID             VARCHAR2(1020)    NOT NULL,
    ID               NUMBER(18, 0) ,
    PROCESS_ID       NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_ID     NUMBER(18, 0)     NOT NULL,
    FORMULA          VARCHAR2(4000)    NOT NULL,
    RUN_ON_AJAX      NUMBER(1, 0)  ,
    ORDER_NUMBER     NUMBER(5, 0)  ,
    DATE_ADDED       DATE              NOT NULL,
    DATE_MODIFIED    DATE              NOT NULL,
    GUID             VARCHAR2(1020)    NOT NULL,
    CONSTRAINT pk_bm_formula PRIMARY KEY (ID, ID)
);
